Update Approval Delegation
Update an existing approval delegation rule.
curl --request PUT \
--url https://public.api.serval.com/v2/approval-delegations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"delegates": [
{
"id": "<string>"
}
],
"priority": 123,
"description": "<string>",
"activeFrom": "2025-01-15T01:30:15.000Z",
"activeUntil": "2025-01-15T01:30:15.000Z",
"clearActiveWindow": true
}
'import requests
url = "https://public.api.serval.com/v2/approval-delegations/{id}"
payload = {
"delegates": [{ "id": "<string>" }],
"priority": 123,
"description": "<string>",
"activeFrom": "2025-01-15T01:30:15.000Z",
"activeUntil": "2025-01-15T01:30:15.000Z",
"clearActiveWindow": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
delegates: [{id: '<string>'}],
priority: 123,
description: '<string>',
activeFrom: '2025-01-15T01:30:15.000Z',
activeUntil: '2025-01-15T01:30:15.000Z',
clearActiveWindow: true
})
};
fetch('https://public.api.serval.com/v2/approval-delegations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"createdAt": "2025-01-15T01:30:15.000Z",
"delegatorUserId": "<string>",
"delegates": [
{
"type": "APPROVAL_DELEGATE_TYPE_UNSPECIFIED",
"id": "<string>"
}
],
"priority": 123,
"description": "<string>",
"activeFrom": "2025-01-15T01:30:15.000Z",
"activeUntil": "2025-01-15T01:30:15.000Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the approval delegation rule to update.
Body
The delegates who can approve on behalf of the delegator.
Show child attributes
Show child attributes
The priority of the delegation rule (lower values are higher priority).
A description of the delegation rule.
A timestamp in RFC 3339 format (e.g., "2025-01-15T01:30:15Z").
"2025-01-15T01:30:15.000Z"
A timestamp in RFC 3339 format (e.g., "2025-01-15T01:30:15Z").
"2025-01-15T01:30:15.000Z"
Clears both active_from and active_until, making the rule permanent. Cannot be combined with active_from/active_until in the same request.
Response
Success
An approval delegation rule that allows a user to delegate their approval responsibilities.
Show child attributes
Show child attributes
Was this page helpful?

